## r-bioc-rhdf5 2.28.0+dfsg

=== DESCRIPTION ===
Package: rhdf5
Type: Package
Title: R Interface to HDF5
Version: 2.28.0
Authors@R: c(person("Bernd", "Fischer", role = c("aut")), 
        person("Gregoire", "Pau", role="aut"),
        person("Mike", "Smith", role=c("aut", "cre"), email = "mike.smith@embl.de"),
        person("Martin", "Morgan", role = "ctb"),
        person("Daniel", "van Twisk", role = "ctb"))
Description: This package provides an interface between HDF5 and R. 
    HDF5's main features are the ability to store and access very large and/or
    complex datasets and a wide variety of metadata on mass storage (disk) 
    through a completely portable file format. The rhdf5 package is thus suited
    for the exchange of large and/or complex datasets between R and other 
    software package, and for letting R applications work on datasets that are 
    larger than the available RAM.
License: Artistic-2.0
URL: https://github.com/grimbough/rhdf5
BugReports: https://github.com/grimbough/rhdf5/issues
LazyLoad: true
VignetteBuilder: knitr
Imports: Rhdf5lib (>= 1.3.2)
Depends: R (>= 3.5.0), methods
Suggests: bit64, BiocStyle, knitr, rmarkdown, testthat, microbenchmark,
        dplyr, ggplot2
LinkingTo: Rhdf5lib
biocViews: Infrastructure, DataImport
Encoding: UTF-8
RoxygenNote: 6.1.1
git_url: https://git.bioconductor.org/packages/rhdf5
git_branch: RELEASE_3_9
git_last_commit: 9bdec8d
git_last_commit_date: 2019-05-02
Date/Publication: 2019-05-02
NeedsCompilation: yes
Packaged: 2019-05-03 00:26:10 UTC; biocbuild
Author: Bernd Fischer [aut],
  Gregoire Pau [aut],
  Mike Smith [aut, cre],
  Martin Morgan [ctb],
  Daniel van Twisk [ctb]
Maintainer: Mike Smith <mike.smith@embl.de>

=== debian/changelog ===
r-bioc-rhdf5 (2.28.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jul 2019 16:41:44 +0200

r-bioc-rhdf5 (2.26.2+dfsg-2) unstable; urgency=medium

  * Team upload
  * Use DEB_HOST_MULTIARCH instead of DEB_BUILD_GNU_TYPE
    to fix build on *i386

 -- Graham Inggs <ginggs@debian.org>  Thu, 23 May 2019 08:52:03 +0000

r-bioc-rhdf5 (2.26.2+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #928761)

 -- Andreas Tille <tille@debian.org>  Fri, 10 May 2019 17:14:24 +0200

=== debian/control ===
Source: r-bioc-rhdf5
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-bioc-rhdf5lib
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5.git
Homepage: https://bioconductor.org/packages/rhdf5/

Package: r-bioc-rhdf5
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor HDF5 interface to R
 This package provides an interface between HDF5 and R.
 HDF5's main features are the ability to store and access very large and/or
 complex datasets and a wide variety of metadata on mass storage (disk)
 through a completely portable file format. The rhdf5 package is thus suited
 for the exchange of large and/or complex datasets between R and other
 software package, and for letting R applications work on datasets that are
 larger than the available RAM.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/rhdf5.html .*/rhdf5_(.*).tar.gz

## r-bioc-rhdf5 2.30.1%2Bdfsg

=== debian/changelog ===
r-bioc-rhdf5 (2.30.1+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:35 +0100

r-bioc-rhdf5 (2.30.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Test-Depends: r-cran-bit64
  * Fix Test failures with latest rhdf5

 -- Andreas Tille <tille@debian.org>  Sun, 22 Dec 2019 08:41:27 +0100

r-bioc-rhdf5 (2.30.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Add libhdf5-dev to Build-Depends

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Nov 2019 08:43:53 +0100

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/rhdf5.html .*/rhdf5_(.*).tar.gz

## r-bioc-rhdf5 2.30.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rhdf5
 Type: Package
 Title: R Interface to HDF5
-Version: 2.28.0
+Version: 2.30.1
 Authors@R: c(person("Bernd", "Fischer", role = c("aut")), 
         person("Gregoire", "Pau", role="aut"),
         person("Mike", "Smith", role=c("aut", "cre"), email = "mike.smith@embl.de"),
@@ -24,16 +24,17 @@
 Suggests: bit64, BiocStyle, knitr, rmarkdown, testthat, microbenchmark,
         dplyr, ggplot2
 LinkingTo: Rhdf5lib
+SystemRequirements: GNU make
 biocViews: Infrastructure, DataImport
 Encoding: UTF-8
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/rhdf5
-git_branch: RELEASE_3_9
-git_last_commit: 9bdec8d
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: 137dc19
+git_last_commit_date: 2019-11-25
+Date/Publication: 2019-11-26
 NeedsCompilation: yes
-Packaged: 2019-05-03 00:26:10 UTC; biocbuild
+Packaged: 2019-11-27 01:15:15 UTC; biocbuild
 Author: Bernd Fischer [aut],
   Gregoire Pau [aut],
   Mike Smith [aut, cre],

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-bioc-rhdf5lib
-Standards-Version: 4.3.0
+               r-bioc-rhdf5lib,
+               libhdf5-dev
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5.git
 Homepage: https://bioconductor.org/packages/rhdf5/

## r-bioc-rhdf5 2.32.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Package: rhdf5
 Type: Package
 Title: R Interface to HDF5
-Version: 2.30.1
+Version: 2.32.2
 Authors@R: c(person("Bernd", "Fischer", role = c("aut")), 
+        person("Mike", "Smith", 
+            role=c("aut", "cre"), 
+            email = "mike.smith@embl.de",
+            comment = c(ORCID = "0000-0002-7800-3848")
+        ),
         person("Gregoire", "Pau", role="aut"),
-        person("Mike", "Smith", role=c("aut", "cre"), email = "mike.smith@embl.de"),
         person("Martin", "Morgan", role = "ctb"),
         person("Daniel", "van Twisk", role = "ctb"))
 Description: This package provides an interface between HDF5 and R. 
@@ -29,15 +33,15 @@
 Encoding: UTF-8
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/rhdf5
-git_branch: RELEASE_3_10
-git_last_commit: 137dc19
-git_last_commit_date: 2019-11-25
-Date/Publication: 2019-11-26
+git_branch: RELEASE_3_11
+git_last_commit: 6708cc9
+git_last_commit_date: 2020-06-09
+Date/Publication: 2020-07-03
 NeedsCompilation: yes
-Packaged: 2019-11-27 01:15:15 UTC; biocbuild
+Packaged: 2020-07-03 23:22:36 UTC; biocbuild
 Author: Bernd Fischer [aut],
+  Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>),
   Gregoire Pau [aut],
-  Mike Smith [aut, cre],
   Martin Morgan [ctb],
   Daniel van Twisk [ctb]
 Maintainer: Mike Smith <mike.smith@embl.de>

=== debian/changelog ===
r-bioc-rhdf5 (2.32.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Jul 2020 10:36:08 +0200

r-bioc-rhdf5 (2.32.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 29 Jun 2020 15:37:07 +0200

r-bioc-rhdf5 (2.32.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 17 May 2020 12:02:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-rhdf5lib,
                libhdf5-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5.git
 Homepage: https://bioconductor.org/packages/rhdf5/
+Rules-Requires-Root: no
 
 Package: r-bioc-rhdf5
 Architecture: any

## r-bioc-rhdf5 2.34.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rhdf5
 Type: Package
 Title: R Interface to HDF5
-Version: 2.32.2
+Version: 2.34.0
 Authors@R: c(person("Bernd", "Fischer", role = c("aut")), 
         person("Mike", "Smith", 
             role=c("aut", "cre"), 
@@ -23,7 +23,7 @@
 BugReports: https://github.com/grimbough/rhdf5/issues
 LazyLoad: true
 VignetteBuilder: knitr
-Imports: Rhdf5lib (>= 1.3.2)
+Imports: Rhdf5lib (>= 1.11.0), rhdf5filters
 Depends: R (>= 3.5.0), methods
 Suggests: bit64, BiocStyle, knitr, rmarkdown, testthat, microbenchmark,
         dplyr, ggplot2
@@ -33,12 +33,12 @@
 Encoding: UTF-8
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/rhdf5
-git_branch: RELEASE_3_11
-git_last_commit: 6708cc9
-git_last_commit_date: 2020-06-09
-Date/Publication: 2020-07-03
+git_branch: RELEASE_3_12
+git_last_commit: ec861b8
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: yes
-Packaged: 2020-07-03 23:22:36 UTC; biocbuild
+Packaged: 2020-10-28 02:59:34 UTC; biocbuild
 Author: Bernd Fischer [aut],
   Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>),
   Gregoire Pau [aut],

=== debian/changelog ===
r-bioc-rhdf5 (2.34.0+dfsg-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Team upload.
  * New upstream version
  * New Build-Depends: r-bioc-rhdf5filters

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 17 Nov 2020 12:23:50 +0100

r-bioc-rhdf5 (2.32.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 12 Oct 2020 13:39:07 +0200

r-bioc-rhdf5 (2.32.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 06 Oct 2020 10:29:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-rhdf5lib,
+               r-bioc-rhdf5lib (>= 1.11.0),
+               r-bioc-rhdf5filters,
                libhdf5-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-bit64
Restrictions: allow-stderr

## r-bioc-rhdf5 2.38.0%2Bdfsg

=== debian/changelog ===
r-bioc-rhdf5 (2.38.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add r-bioc-mockery to test-dep (Fixes autopkgtest)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 27 Nov 2021 13:48:17 +0530

r-bioc-rhdf5 (2.38.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.38.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Thu, 25 Nov 2021 01:02:03 +0530

r-bioc-rhdf5 (2.36.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Versioned Build-Depends: libhdf5-dev (>= 1.10.7)

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 10:49:10 +0200

## r-bioc-rhdf5 2.38.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rhdf5
 Type: Package
 Title: R Interface to HDF5
-Version: 2.34.0
+Version: 2.38.0
 Authors@R: c(person("Bernd", "Fischer", role = c("aut")), 
         person("Mike", "Smith", 
             role=c("aut", "cre"), 
@@ -23,22 +23,23 @@
 BugReports: https://github.com/grimbough/rhdf5/issues
 LazyLoad: true
 VignetteBuilder: knitr
-Imports: Rhdf5lib (>= 1.11.0), rhdf5filters
-Depends: R (>= 3.5.0), methods
+Imports: Rhdf5lib (>= 1.13.4), rhdf5filters
+Depends: R (>= 4.0.0), methods
 Suggests: bit64, BiocStyle, knitr, rmarkdown, testthat, microbenchmark,
-        dplyr, ggplot2
+        dplyr, ggplot2, mockery
 LinkingTo: Rhdf5lib
 SystemRequirements: GNU make
 biocViews: Infrastructure, DataImport
 Encoding: UTF-8
-RoxygenNote: 6.1.1
+Roxygen: list(markdown = TRUE)
+RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/rhdf5
-git_branch: RELEASE_3_12
-git_last_commit: ec861b8
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: f6fdfa8
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-10-28 02:59:34 UTC; biocbuild
+Packaged: 2021-10-26 22:39:15 UTC; biocbuild
 Author: Bernd Fischer [aut],
   Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>),
   Gregoire Pau [aut],

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-rhdf5lib (>= 1.11.0),
+               r-bioc-rhdf5lib (>= 1.13.4),
                r-bioc-rhdf5filters,
-               libhdf5-dev
-Standards-Version: 4.5.0
+               libhdf5-dev (>= 1.10.7)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5.git
 Homepage: https://bioconductor.org/packages/rhdf5/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_install:
	# see debian/hdf5-private/README
	ln -s $(CURDIR)/debian/hdf5-private/H5private.h   $(CURDIR)/src/H5private.h
	ln -s $(CURDIR)/debian/hdf5-private/H5TSprivate.h $(CURDIR)/src/H5TSprivate.h
	dh_auto_install # --no-parallel ... does not help
	rm src/H5private.h src/H5TSprivate.h

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-bit64, r-cran-mockery
Restrictions: allow-stderr

## r-bioc-rhdf5 2.40.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Package: rhdf5
 Type: Package
 Title: R Interface to HDF5
-Version: 2.38.0
+Version: 2.40.0
+Date: 2022-03-09
 Authors@R: c(person("Bernd", "Fischer", role = c("aut")), 
         person("Mike", "Smith", 
             role=c("aut", "cre"), 
@@ -34,12 +35,12 @@
 Roxygen: list(markdown = TRUE)
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/rhdf5
-git_branch: RELEASE_3_14
-git_last_commit: f6fdfa8
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: fb6c15a
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 22:39:15 UTC; biocbuild
+Packaged: 2022-04-26 21:56:07 UTC; biocbuild
 Author: Bernd Fischer [aut],
   Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>),
   Gregoire Pau [aut],

=== debian/changelog ===
r-bioc-rhdf5 (2.40.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.40.0+dfsg
  * d/p/fix-hdf5deref.patch: Default H5Rdereference
    to H5Rdereference2 if it has been defined
  * Add d/clean for cleaning redundant files
  * Versioned B-D to build with right deps

 -- Nilesh Patra <nilesh@debian.org>  Sat, 14 May 2022 18:18:25 +0530

r-bioc-rhdf5 (2.38.1+dfsg-2) unstable; urgency=medium

  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Wed, 16 Mar 2022 13:44:27 +0100

r-bioc-rhdf5 (2.38.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 16 Mar 2022 11:38:27 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-rhdf5lib (>= 1.13.4),
-               r-bioc-rhdf5filters,
+               r-bioc-rhdf5lib (>= 1.18.0+dfsg-2~),
+               r-bioc-rhdf5filters (>= 1.8.0+dfsg-1~),
                libhdf5-dev (>= 1.10.7)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5

## r-bioc-rhdf5 2.42.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rhdf5
 Type: Package
 Title: R Interface to HDF5
-Version: 2.40.0
-Date: 2022-03-09
+Version: 2.42.0
+Date: 2022-10-26
 Authors@R: c(person("Bernd", "Fischer", role = c("aut")), 
         person("Mike", "Smith", 
             role=c("aut", "cre"), 
@@ -33,14 +33,14 @@
 biocViews: Infrastructure, DataImport
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 git_url: https://git.bioconductor.org/packages/rhdf5
-git_branch: RELEASE_3_15
-git_last_commit: fb6c15a
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: fa26027
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 21:56:07 UTC; biocbuild
+Packaged: 2022-11-01 22:49:40 UTC; biocbuild
 Author: Bernd Fischer [aut],
   Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>),
   Gregoire Pau [aut],

=== debian/changelog ===
r-bioc-rhdf5 (2.42.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 22:13:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-bioc-rhdf5
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5.git
+Homepage: https://bioconductor.org/packages/rhdf5/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-rhdf5lib (>= 1.18.0+dfsg-2~),
-               r-bioc-rhdf5filters (>= 1.8.0+dfsg-1~),
+               r-bioc-rhdf5lib (>= 1.13.4),
+               r-bioc-rhdf5filters,
                libhdf5-dev (>= 1.10.7)
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5.git
-Homepage: https://bioconductor.org/packages/rhdf5/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rhdf5
 Architecture: any

## r-bioc-rhdf5 2.44.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rhdf5
 Type: Package
 Title: R Interface to HDF5
-Version: 2.42.0
-Date: 2022-10-26
+Version: 2.44.0
+Date: 2023-04-07
 Authors@R: c(person("Bernd", "Fischer", role = c("aut")), 
         person("Mike", "Smith", 
             role=c("aut", "cre"), 
@@ -26,21 +26,21 @@
 VignetteBuilder: knitr
 Imports: Rhdf5lib (>= 1.13.4), rhdf5filters
 Depends: R (>= 4.0.0), methods
-Suggests: bit64, BiocStyle, knitr, rmarkdown, testthat, microbenchmark,
-        dplyr, ggplot2, mockery
+Suggests: bit64, BiocStyle, knitr, rmarkdown, testthat, bench, dplyr,
+        ggplot2, mockery, BiocParallel
 LinkingTo: Rhdf5lib
 SystemRequirements: GNU make
 biocViews: Infrastructure, DataImport
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/rhdf5
-git_branch: RELEASE_3_16
-git_last_commit: fa26027
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 0f6e367
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 22:49:40 UTC; biocbuild
+Packaged: 2023-04-25 22:39:06 UTC; biocbuild
 Author: Bernd Fischer [aut],
   Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>),
   Gregoire Pau [aut],

=== debian/changelog ===
r-bioc-rhdf5 (2.44.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 22 Jul 2023 16:55:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5.git
 Homepage: https://bioconductor.org/packages/rhdf5/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-rhdf5 2.46.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: rhdf5
 Type: Package
 Title: R Interface to HDF5
-Version: 2.44.0
-Date: 2023-04-07
+Version: 2.46.1
 Authors@R: c(person("Bernd", "Fischer", role = c("aut")), 
         person("Mike", "Smith", 
             role=c("aut", "cre"), 
@@ -24,7 +23,7 @@
 BugReports: https://github.com/grimbough/rhdf5/issues
 LazyLoad: true
 VignetteBuilder: knitr
-Imports: Rhdf5lib (>= 1.13.4), rhdf5filters
+Imports: Rhdf5lib (>= 1.13.4), rhdf5filters, S4Vectors
 Depends: R (>= 4.0.0), methods
 Suggests: bit64, BiocStyle, knitr, rmarkdown, testthat, bench, dplyr,
         ggplot2, mockery, BiocParallel
@@ -35,12 +34,13 @@
 Roxygen: list(markdown = TRUE)
 RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/rhdf5
-git_branch: RELEASE_3_17
-git_last_commit: 0f6e367
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 27bab89
+git_last_commit_date: 2023-11-29
+Repository: Bioconductor 3.18
+Date/Publication: 2023-11-29
 NeedsCompilation: yes
-Packaged: 2023-04-25 22:39:06 UTC; biocbuild
+Packaged: 2023-11-30 00:02:45 UTC; biocbuild
 Author: Bernd Fischer [aut],
   Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>),
   Gregoire Pau [aut],

=== debian/changelog ===
r-bioc-rhdf5 (2.46.1+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:21:16 +1100

r-bioc-rhdf5 (2.46.1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:04:41 +0000

r-bioc-rhdf5 (2.46.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2023 13:37:02 +0100

r-bioc-rhdf5 (2.46.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 10:27:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: r-bioc-rhdf5
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5.git
@@ -13,6 +14,7 @@
                r-base-dev,
                r-bioc-rhdf5lib (>= 1.13.4),
                r-bioc-rhdf5filters,
+               r-bioc-s4vectors,
                libhdf5-dev (>= 1.10.7)
 Testsuite: autopkgtest-pkg-r

## r-bioc-rhdf5 2.48.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rhdf5
 Type: Package
 Title: R Interface to HDF5
-Version: 2.46.1
+Version: 2.48.0
 Authors@R: c(person("Bernd", "Fischer", role = c("aut")), 
         person("Mike", "Smith", 
             role=c("aut", "cre"), 
@@ -23,7 +23,7 @@
 BugReports: https://github.com/grimbough/rhdf5/issues
 LazyLoad: true
 VignetteBuilder: knitr
-Imports: Rhdf5lib (>= 1.13.4), rhdf5filters, S4Vectors
+Imports: Rhdf5lib (>= 1.13.4), rhdf5filters (>= 1.15.5)
 Depends: R (>= 4.0.0), methods
 Suggests: bit64, BiocStyle, knitr, rmarkdown, testthat, bench, dplyr,
         ggplot2, mockery, BiocParallel
@@ -32,15 +32,15 @@
 biocViews: Infrastructure, DataImport
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 git_url: https://git.bioconductor.org/packages/rhdf5
-git_branch: RELEASE_3_18
-git_last_commit: 27bab89
-git_last_commit_date: 2023-11-29
-Repository: Bioconductor 3.18
-Date/Publication: 2023-11-29
+git_branch: RELEASE_3_19
+git_last_commit: 9541eda
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-11-30 00:02:45 UTC; biocbuild
+Packaged: 2024-05-01 05:42:01 UTC; biocbuild
 Author: Bernd Fischer [aut],
   Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>),
   Gregoire Pau [aut],

=== debian/changelog ===
r-bioc-rhdf5 (2.48.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * autopkgtests: skip one more test on s390x.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 02 Oct 2024 12:16:20 +0200

r-bioc-rhdf5 (2.48.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/rules, use the "execute_{before,after}_" trick
  * autopkgtests: skip some tests on s390x for now.
  * d/control: move architecture-is-64-bits to the end of the build-deps
    list so that dh-update-R doesn't ignore the management of all the
    r-* build-deps.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 01 Oct 2024 12:58:09 +0200

r-bioc-rhdf5 (2.48.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 00:25:19 +0200

r-bioc-rhdf5 (2.48.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 12:06:19 +0200

r-bioc-rhdf5 (2.48.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1071345
  * dh-update-R to update Build-Depends (routine-update)
  * Refreshed patches.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 17:41:41 +0200

=== debian/control ===
Source: r-bioc-rhdf5
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5.git
Homepage: https://bioconductor.org/packages/rhdf5/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-rhdf5lib (>= 1.26.0),
               r-bioc-rhdf5filters (>= 1.16.0),
               libhdf5-dev (>= 1.10.7),
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-rhdf5
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-rhdf5lib (>= 1.26.0),
         r-bioc-rhdf5filters (>= 1.16.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>=2.32.1),
          r-bioc-biocparallel (>=1.38.0)
Description: BioConductor HDF5 interface to R
 This package provides an interface between HDF5 and R.
 HDF5's main features are the ability to store and access very large and/or
 complex datasets and a wide variety of metadata on mass storage (disk)
 through a completely portable file format. The rhdf5 package is thus suited
 for the exchange of large and/or complex datasets between R and other
 software package, and for letting R applications work on datasets that are
 larger than the available RAM.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

execute_before_dh_auto_install:
	# see debian/hdf5-private/README
	ln -s $(CURDIR)/debian/hdf5-private/H5private.h   $(CURDIR)/src/H5private.h
	ln -s $(CURDIR)/debian/hdf5-private/H5TSprivate.h $(CURDIR)/src/H5TSprivate.h

execute_after_dh_auto_install:
	rm src/H5private.h src/H5TSprivate.h

## r-bioc-rhdf5 2.50.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rhdf5
 Type: Package
 Title: R Interface to HDF5
-Version: 2.48.0
+Version: 2.50.2
 Authors@R: c(person("Bernd", "Fischer", role = c("aut")), 
         person("Mike", "Smith", 
             role=c("aut", "cre"), 
@@ -32,15 +32,15 @@
 biocViews: Infrastructure, DataImport
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 git_url: https://git.bioconductor.org/packages/rhdf5
-git_branch: RELEASE_3_19
-git_last_commit: 9541eda
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 65c4deb
+git_last_commit_date: 2025-01-08
+Repository: Bioconductor 3.20
+Date/Publication: 2025-01-09
 NeedsCompilation: yes
-Packaged: 2024-05-01 05:42:01 UTC; biocbuild
+Packaged: 2025-01-10 00:07:16 UTC; biocbuild
 Author: Bernd Fischer [aut],
   Mike Smith [aut, cre] (<https://orcid.org/0000-0002-7800-3848>),
   Gregoire Pau [aut],

=== debian/changelog ===
r-bioc-rhdf5 (2.50.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Adjust patch to skip parts of test related to the version of the bundled
    hdf5 library (which we don't use).

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 17:56:05 +0100

r-bioc-rhdf5 (2.50.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 03:57:24 +0100

r-bioc-rhdf5 (2.50.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 27 Dec 2024 12:14:04 -0800

r-bioc-rhdf5 (2.50.0+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Adjust the hdf5-1.14 patch to build correctly on arm64, and others.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 11 Dec 2024 14:29:56 +0100

r-bioc-rhdf5 (2.50.0+dfsg-2) experimental; urgency=medium

  * Team upload.

  [ Gilles Filippini ]
  * Support HDF5 1.14. Closes: #1087826

  [ Michael R. Crusoe ]
  * Updated some patch metadata
  * Added patch to fix typo

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 11 Dec 2024 12:20:22 +0100

r-bioc-rhdf5 (2.50.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 08:43:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5.git
 Homepage: https://bioconductor.org/packages/rhdf5/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-rhdf5lib (>= 1.26.0),
-               r-bioc-rhdf5filters (>= 1.16.0),
+               r-bioc-rhdf5lib (>= 1.13.4),
+               r-bioc-rhdf5filters (>= 1.15.5),
                libhdf5-dev (>= 1.10.7),
                architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
@@ -21,13 +21,9 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-rhdf5lib (>= 1.26.0),
-         r-bioc-rhdf5filters (>= 1.16.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>=2.32.1),
-          r-bioc-biocparallel (>=1.38.0)
+Suggests: ${R:Suggests}
 Description: BioConductor HDF5 interface to R
  This package provides an interface between HDF5 and R.
  HDF5's main features are the ability to store and access very large and/or

=== debian/rules ===
#!/usr/bin/make -f

H5_VERSION = $(shell h5cc -showconfig | grep 'Version' | sed 's/.* //;s/\./ /g')

ifeq (1 14,$(wordlist 1,2,$(H5_VERSION)))
  H5_PRIVATE = hdf5-1.14-private
else
  H5_PRIVATE = hdf5-private
endif

%:
	dh $@ --buildsystem R

execute_before_dh_auto_configure:
	# see debian/$(H5_PRIVATE)/README
	ln -s $(CURDIR)/debian/$(H5_PRIVATE)/H5private.h   $(CURDIR)/src/H5private.h
	ln -s $(CURDIR)/debian/$(H5_PRIVATE)/H5TSprivate.h $(CURDIR)/src/H5TSprivate.h
